# Gitea action to Create a Pull Request

Gitea action to create a pull request. This action is not github action compatible.

Inspired by https://github.com/peter-evans/create-pull-request, but without the ability to commit the changes.

## Usage

```yaml
name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:
      - name: Setup Go
        uses: https://github.com/actions/setup-go@v5
        with:
          go-version: '1.22'
          
      # ... do something with your code
      
      

      - name: Use Go Action  
        id: use-go-action
        uses: https://gitea.champs-libres.be/julienfastre/action-create-pr@main
        with:
          assignees: julienfastre
          base: master
          labels: bug, invalid, something else

```
